Uploaded image for project: 'XWiki Platform'
  1. XWiki Platform
  2. XWIKI-10545

Use the snapshots extension repository by default for snapshot builds

    Details

    • Difficulty:
      Trivial
    • Documentation:
      N/A
    • Pull Request Status:
      Pull Request accepted
    • Similar issues:

      Description

      Each time you want to test a snapshot build of XE and you need to create a subwiki, you are hit by the distribution wizard asking you to add the snapshots extension repository because it can not install the UI on the new subwiki.

      This becomes frustrating quickly and the very simple solution is to add the snapshots repository at build time into the "xwiki.properties" file for builds that use a "*-SNAPSHOT" version.

      Normal releases will not have the "-SNAPSHOT" version suffix and will use the default (stable) repository.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                enygma Eduard Moraru
                Reporter:
                enygma Eduard Moraru
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Date of First Response: